<template>
	<div class="va-builder">
		<builder-section v-for="(block, i) in blocks" :key="i" v-bind="block.section" :layout="block.layout" :index="i">
			<component :is='`builder-${block.layout}`' :section="block.section" :content="block.content"></component>
		</builder-section>
	</div>
</template>

<script>
export default {
	props: ['blocks'],
	components: {
		'builder-intro': () => import('~blocks/Intro.vue'),
		'builder-video': () => import('~blocks/Video.vue'),
		'builder-features': () => import('~blocks/Features.vue'),
		'builder-text-half': () => import('~blocks/TextHalf.vue'),
		'builder-form': () => import('~blocks/Form.vue')
	}
}
</script>
